Subject: bug#78660: [PATCH] Add context menu for commenting in prog-mode

From: Lei Billy <[email-masked]>
Date: Sun, 1 Jun 2025 10:29:34 +0000

在 2025/6/1 14:49, Juri Linkov 写道:
>> Though context menu is supported in emacs at present, many modes that
>> supports it still lacks some functions (like commenting, toggling
>> bookmark).
>> This patch is a small update, which add context menu for commenting in
>> prog-mode.
> If our goal is to stuff context menus with all possible commands,
> then this patch is ok.  Only suggest at least to group commands
> by submenu trees.

While there are a wide range of commands, I think only the common ones should be added to the context menu. I don't think stuffing context menus with all possible commands is a good choice, this will cause users end up finding commands in submenus.

I think we can refer to software like notepad++, notepad3, etc to see which commands are worth to be added to the context menu.